> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sessions



## OpenAPI

````yaml /openapi.json get /api/v1/coding/sessions
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/coding/sessions:
    get:
      tags:
        - Coding Tasks
      summary: List Sessions
      operationId: list_sessions_api_v1_coding_sessions_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CodingSessionResponse'
                type: array
                title: Response List Sessions Api V1 Coding Sessions Get
      security:
        - HTTPBearer: []
components:
  schemas:
    CodingSessionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        task_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Task Id
        language:
          type: string
          title: Language
        sandbox_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sandbox Id
        status:
          type: string
          title: Status
        code_input:
          anyOf:
            - type: string
            - type: 'null'
          title: Code Input
        code_output:
          anyOf:
            - type: string
            - type: 'null'
          title: Code Output
        execution_result:
          additionalProperties: true
          type: object
          title: Execution Result
        review_status:
          type: string
          title: Review Status
        review_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Review Notes
        created_at:
          type: string
          format: date-time
          title: Created At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - user_id
        - language
        - status
        - review_status
        - created_at
      title: CodingSessionResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````